=== etc/CMakeLists.txt ===
if(WITH_SANITIZERS)
    INSTALL (FILES "dnf-sanitizers.sh" DESTINATION /etc/profile.d/)
endif()
