=== libdnf/plugin/CMakeLists.txt ===
set(PLUGIN_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/plugin.cpp
    PARENT_SCOPE
)

set(PLUGIN_PUBLIC_HEADERS
    ${CMAKE_CURRENT_SOURCE_DIR}/plugin.h
)

install(FILES ${PLUGIN_PUBLIC_HEADERS} DESTINATION include/libdnf/plugin)
