=== debian/changelog ===
libdnf (0.75.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.75.0'
  * Refresh patch for 0.75
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Oct 2025 14:45:24 +0100
