=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libdnf-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/libdnf/tags .*/@ANY_VERSION@\.tar\.gz
